delimiter ;
insert into instalacao_log(ds_passo) values ('passo 214');
alter table erpc_pedidos_venda add qt_volumes decimal(14,4) null;
alter table erpc_pedidos_venda_liberados add qt_volumes decimal(14,4) null;

insert into instalacao_log(ds_passo) values ('passo 215');
alter table erpc_pedidos_venda add ds_modelo_frete char(1) null;
alter table erpc_pedidos_venda add vl_servico decimal(14,4) null;
alter table erpc_pedidos_venda_liberados add ds_modelo_frete char(1) null;
alter table erpc_pedidos_venda_liberados add vl_servico decimal(14,4) null;

insert into instalacao_log(ds_passo) values ('passo 216');
alter table erpc_pedidos_venda add ds_especie varchar(20) null;
alter table erpc_pedidos_venda add ds_marca   varchar(20) null;
alter table erpc_pedidos_venda add nr_volumes varchar(20) null;
alter table erpc_pedidos_venda add nr_peso_liquido decimal(14, 4) null;
alter table erpc_pedidos_venda add nr_peso_bruto   decimal(14, 4) null;
alter table erpc_pedidos_venda add nr_lacres  varchar(20) null;

insert into instalacao_log(ds_passo) values ('passo 217');
alter table erpc_pedidos_venda_liberados add ds_especie varchar(20) null;
alter table erpc_pedidos_venda_liberados add ds_marca   varchar(20) null;
alter table erpc_pedidos_venda_liberados add nr_volumes varchar(20) null;
alter table erpc_pedidos_venda_liberados add nr_peso_liquido decimal(14, 4) null;
alter table erpc_pedidos_venda_liberados add nr_peso_bruto   decimal(14, 4) null;
alter table erpc_pedidos_venda_liberados add nr_lacres  varchar(20) null;

insert into instalacao_log(ds_passo) values ('passo 218');
drop view if exists vw_erpc_nfecode_geraxml_transporte;

create view vw_erpc_nfecode_geraxml_transporte
as
select distinct ds.id AS nr_documento,ds.ds_numnf AS nr_nota,ds_modelo_frete AS modFrete,
pv.ds_placa_veiculo AS placa,pv.ds_uf_placa_veiculo AS UF,pv.ds_codigo_antt AS RNTC,
case when length(tr.ds_cpf_cnpj) > 11 then tr.ds_cpf_cnpj 
else '' end AS CNPJ,case when length(tr.ds_cpf_cnpj) = 11 
then tr.ds_cpf_cnpj else '' end AS CPF,tr.ds_razao AS xNome,
tr.ds_ie AS IE,tr.ds_endereco AS xEnder,
m.ds_municipio AS xMun,
m.ds_uf AS xUF,m.ds_codigo_ibge AS cMunFG,5352 AS CFOP, pv.vl_servico AS vServ,0 AS vBCRet,0 AS pICMSRet,
0 AS vICMSRet 
from erpc_documentos_saida ds 
join erpc_pedidos_documentos_saida dp 
on ds.id = dp.id_documento_saida 
join erpc_pedidos_venda_liberados pv 
on dp.id_pedido_liberados = pv.id 
join erpc_pedidos_itens_liberados pp 
on pv.id = pp.id_pedido_venda_liberado 
left join erpc_transportadoras tr 
on pv.id_transportadora = tr.id 
left join erpc_municipios m 
on tr.id_municipio = m.id where pv.ds_placa_veiculo <> '' or pv.id_transportadora is not null
;

insert into instalacao_log(ds_passo) values ('passo 219');
drop view if exists vw_erpc_nfecode_geraxml_volumes
;

create view vw_erpc_nfecode_geraxml_volumes
as
select distinct s.id as nr_documento,
ds_modelo_frete as modFrete,
qt_volumes as qVol,
ds_especie as esp,
ds_marca   as marca,
nr_volumes as nVol,
nr_peso_liquido as pesoL,
nr_peso_bruto   as pesoB,
nr_lacres  as aLacres
from erpc_documentos_saida s
join erpc_pedidos_documentos_saida p on s.id = p.id_documento_saida
join erpc_pedidos_venda_liberados  l on p.id_pedido_liberados = l.id
;
 
insert into instalacao_log(ds_passo) values ('passo 220');